/* Style des avis */
.agitem{
	--ag-ff: Arial, sans-serif;
	box-sizing: border-box;
	padding: 10px;
	border:1px solid #ececec;
	border-radius: 5px;
	font-family: var(--ag-ff);
}
.agitem svg{
	display: block;
	width: 100%;
}
.agheader{
	display: flex;
	gap:10px;
	justify-content: space-between;
	align-items: flex-start;
	margin-bottom: 15px;
}
.agimg{
	aspect-ratio:1;
	border-radius: 50%;
	overflow: hidden;
	background-color: #ececec;
	width: 60px;
	flex-shrink: 0;
}
.agimg img{
	display: block;
	width: 100%;
	aspect-ratio:1;
	object-fit: cover;
}
.agmeta{
	margin-right: auto;
}
.agauthor{
	font-family: var(--ag-ff);
	font-weight: bold;
	color: #000;
	margin: 0;
	font-size: 20px;
}
.agstars{
	width: 130px;
	height: 20px;
	background-color: #ececec;
	position: relative;
	overflow: hidden;
	margin: 3px 0 5px;
}
.agstars svg{
	position: relative;
	fill: #F2EFEA;
	z-index: 1;
}
.aglist .agstars svg {
	fill: #FFF;
}
.agstars::after{
	--shf: 4.9406564584124654e-324;
	--stargap: 3.3%;
	--starwidth: 16.7%;
	content: "";
	height: 100%;
	background-color: orange;
	width: 100%;
	width: calc((var(--agstar) - 1) * var(--stargap) * var(--shf) / var(--shf) + (var(--agstar) * var(--starwidth)) + (var(--stargap) / 2));
	
	display: block;
	position: absolute;
	top: 0;
	left: 0;
}
.agdate{
	margin: 0;
	color: #ACACAC;
	font-size: 14px;
}
.agicon{
	width: 24px;
	align-self: flex-start;
	flex-shrink: 0;
}

.agcontent{
	line-height: 1.4;
	font-size: 15px;
	color: #525366;
	padding-right: 20px;
	max-height:105px;
	overflow: auto;
}
@media screen and (max-width:1024px){
	.agcontent{
		max-height:165px;
	}
	.agauthor{
		font-size: 16px;
	}
	.agicon{
		width: 20px;
	}
	.agimg{
		width: 55px;
	}
	.agstars {
		width: 110px;
		height: 17px;
	}
}

/* Liste complète des avis */
.aglist .wrap.wrap_agintro {
	display: block;
}
.agintro {
    text-align: center;
    padding: 10px 0 80px 0;
}
.aglist .wrap{
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	gap:20px;
}

@media screen and (max-width:960px){
	.aglist .wrap{
		grid-template-columns: 1fr 1fr;
	}
}
@media screen and (max-width:540px){
	.aglist .wrap{
		grid-template-columns: 1fr;
	}
}

/* Slider des avis */
.agslidercontainer{
	position: relative;
	padding: 20px 0;
	width: min(100%, calc(100dvw - 60px));
	margin-left: auto;margin-right: auto;
	text-align: left;
}
.agslidercontainer>.agslider{
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	gap:20px;
}
.agslidercontainer>.agslider>*:not(:nth-child(-n+3)){display: none !important;}
.agcontrols{
	position: absolute;
	top: 50%;
	left: 50%;
	translate:-50% 0;
	width: min(calc(100% + 60px), calc(100dvw - 10px));
	display: flex;
	justify-content: space-between;
	align-items: center;
	font-size: 24px;
}

.agcontrols a{
	color: #4f4f4f !important;
	text-decoration: none !important;
}
.agcontrols a:hover{color: #181818 !important;}

.agslidercontainer .bx-pager{
	display: flex;
	justify-content: center;
	gap:3px;
	align-items: center;
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
}

.agslidercontainer .bx-pager-item a{
	font-size: 0;
	color: transparent !important;
	text-decoration: none !important;
	width: 10px;
	height: 10px;
	display: block;
	border-radius: 50%;
	background-color: #4f4f4f;
	scale:.7;
	transition: all .3s;
}
.agslidercontainer .bx-pager-item a:hover{
	background-color: #181818;
}
.agslidercontainer .bx-pager-item a.active{
	scale:1;
}
.agslidercontainer .agcontent{
	height:105px;
}
@media screen and (max-width:1024px){
	.agcontent{
		height:165px;
	}
}
@media screen and (max-width:960px){
	.agslidercontainer>.agslider{
		grid-template-columns: 1fr 1fr;
	}
	.agslidercontainer>.agslider>*:not(:nth-child(-n+2)){display: none !important;}
}
@media screen and (max-width:540px){
	.agslidercontainer>.agslider{
		grid-template-columns: 1fr;
	}
	.agslidercontainer>.agslider>*:not(:first-child){display: none !important;}
}
